1. WebSE首页
  2. 经验分享

Centos7源代码安装freeswitch和启动freeswitch

Centos7下安装freeswitch版本:1.6。

1、下载源代码:
进入目录 cd /usr/local/src

克隆原代码
git clone -b v1.6 https://github.com/signalwire/freeswitch.git

2、开始编译
进入freeswitch目录 cd/ freeswitch
运行 ./bootstrap.sh
如果出现错误是因为没有下载第三方依赖库。
安装依赖库:

yum install -y git gcc-c++ wget alsa-lib-devel autoconf automake bison broadvoice-devel bzip2 curl-devel db-devel e2fsprogs-devel flite-devel g722_1-devel gdbm-devel gnutls-devel ilbc2-devel ldns-devel libcodec2-devel libcurl-devel libedit-devel libidn-devel libjpeg-devel libmemcached-devel libogg-devel libsilk-devel libsndfile-devel libtiff-devel libtheora-devel libtool libvorbis-devel libxml2-devel lua-devel lzo-devel mongo-c-driver-devel ncurses-devel net-snmp-devel openssl-devel opus-devel pcre-devel perl perl-ExtUtils-Embed pkgconfig portaudio-devel postgresql-devel python26-devel python-devel soundtouch-devel speex-devel sqlite-devel unbound-devel unixODBC-devel libuuid-devel which yasm zlib-devel

3、再一次编译
运行 ./bootstrap.sh
接着运行 ./configure

如果出现以下界面,就是默认配置成功.Centos7源代码安装freeswitch和启动freeswitch

4、运行 make 命令
在执行make时,发现make命令编译不过去.
过程中提示了 “Neither yasm nor nasm have been found“.也就是依赖没安装

git clone https://github.com/yasm/yasm.git && cd yasm && ./autogen.sh && make && make install

依然编译不过去,提示 “You must install libopus-dev to build mod_opus. Stop.

Centos7源代码安装freeswitch和启动freeswitch

提示 You must install libopus-dev,可是这个已经安装了,OPUS这个编码目前使用的也不多,其实直接删除也不影响使用的。那就删除吧。 根据上图找到codecs目录,直接删除codec_opus子目录。编译成功。
如果出现以下界面,则编译成功。

Centos7源代码安装freeswitch和启动freeswitch

最后执行make install

启动freeswitch

进入cd /usr/local/freeswitch/bin/目录,然后运行 ./freeswitch命令。

本文收集于网络,仅供技术交流使用,本站不拥有所有权,不承担相关法律责任。如果发现本站有涉嫌抄袭的内容, 欢迎发送邮件至 admin@webse.cn 举报,一经查实,本站将立刻删除涉嫌侵权内容,本文链接:https://webse.cn/15744.html

发表评论

登录后才能评论

联系我们

QQ:44069836

在线咨询:点击这里给我发消息

邮件:admin@webse.cn

工作时间:周一至周五,9:30-18:30,节假日休息